#
# spec file for package perl-TermReadLine-Gnu
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-TermReadLine-Gnu
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  readline-devel
Version:        1.20
Release:        lp152.3.5
Requires:       readline
Url:            http://search.cpan.org/~hayashi/Term-ReadLine-Gnu-1.20
Summary:        Perl extension for the GNU Readline/History Library
License:        GPL-2.0+
Group:          Development/Libraries/Perl
Source:         http://search.cpan.org/CPAN/authors/id/H/HA/HAYASHI/Term-ReadLine-Gnu-%{version}.tar.gz
Patch:          Term-ReadLine-Gnu-%{version}.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}

%description
This is an implementation of Term::ReadLine using the GNU
Readline/History Library. This package also has the interface with the
almost all functions and variables which are documented in the GNU
Readline/History Library Manual.



Authors:
--------
    Hiroo Hayashi <hiroo.hayashi@computer.org>

%prep
%setup -n Term-ReadLine-Gnu-%{version}
%patch

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%check
if perl -E "open(IN,\"</dev/tty\") || die;" ; then
make test || true
fi

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%doc %{_mandir}/man?/*
%{perl_vendorarch}/Term
%{perl_vendorarch}/auto/Term

%changelog
* Mon Apr 15 2013 idonmez@suse.com
- Add Source URL, see https://en.opensuse.org/SourceUrls
* Wed Oct 17 2012 ms@suse.de
- update to version 1.20
  1.20  2010-05-02
  - t/readline.t skip the test of rl_readline_version for GNU
    Readline Library 6.1 which may return a wrong value
  - readline-6.1 support
    new function
    rl_free_keymap (disabled due to readline-6.1 bug)
    new variable
    rl_filename_rewrite_hook (not supported yet)
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Wed Aug 25 2010 ro@suse.de
- ignore testsuite result for the moment, the old dev/tty test
  seems not sufficient anymore
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Mon Feb  9 2009 ro@suse.de
- use fix from version 1.17 to fix build (testsuite) with
  perl 5.10
- run testsuite only if it is possible to open dev/tty for reading
* Wed Jan 14 2009 ms@suse.de
- evaluate test results correctly (bnc #465992)
- run make test without arch exclusion (bnc #465991)
* Fri Jan 25 2008 ms@suse.de
- fixed build
* Tue Jan 30 2007 ms@suse.de
- update to version 1.16
  1.16  2006-04-02
  - fix Makefile.PL to work with the latest Cygwin.
    (Use 1.15 for old Cygwin.)
  - readline-5.1 support
    new function
    variable_value
    reset_screen_size
    new variable
    prefer_env_winsize
* Mon Aug 28 2006 ms@suse.de
- synchronize the outstream fd inside the readline library (#200843)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Nov 28 2005 mls@suse.de
- update to 1.15, fixes [#142032]
* Thu Oct  7 2004 ms@suse.de
- Readline 1.14
